package com.yunzhupaas.base.service;

import com.yunzhupaas.base.entity.AiChatEntity;
import com.yunzhupaas.base.model.ai.AiChatVo;
import com.yunzhupaas.base.model.ai.AiForm;
import com.yunzhupaas.base.model.ai.AiHisVo;

import java.util.List;

/**
 * ai会话服务
 *
 * @author 云筑产品开发平台组
 * @version v5.2.0
 * @copyright 深圳市乐程软件有限公司
 * @date 2024/12/2 10:10:10
 */
public interface AiChatService extends SuperService<AiChatEntity> {

    /**
     * ai对话发送
     *
     * @param keyword
     */
    String send(String keyword);

    /**
     * ai会话列表
     */
    List<AiChatVo> historyList();

    /**
     * ai会话记录
     */
    List<AiHisVo> historyGet(String id);

    /**
     * 会话记录保存
     */
    String historySave(AiForm form);

    /**
     * 删除ai会话记录
     *
     * @param id
     */
    void delete(String id);

}

